swshswshPublic API
Download OpenAPIView raw

Retrieve photos for a specific album

GET/album/getPhotos

Retrieves the photos in an album. A photo can be an image, live photo, or video.

Authentication

Include your API key in the x-api-key header on every request.

Query parameters

albumIdstringrequired
filterLabelstringmin 1max 40
filterRestrictedLabelstringmin 1max 40

Response · 200 Photos retrieved successfully

dataArray<Photo>required
object
photoIdstringrequired
widthinteger
heightinteger
originalUrlstringrequired
A signed URL to access the uploaded image. For videos, this is a thumbnail image.
stableUrlstringrequired
A signed URL to access the stable version of the image (JPEG or WebP, <15 MB) or a thumbnail of the video (JPEG or WebP, <15 MB)
videoUrlstring
A signed URL to access the originally uploaded video. Only present if the photo is a video or live photo.
downloadUrlstringrequired
A signed URL to download the original file (image or video) as it was uploaded. This URL is either the originalUrl or originalVideoUrl, depending on the media type.
labelsArray<string>
The labels associated with the photo
string
restrictedLabelsArray<string>
The labels associated with the photo that are hidden from non-admin users
string
warningsArray<string>
string

Errors

404Album not found